<?php



$root = '../../assets/API/Universal';
$folder = $_GET["folder"];

FindPath($root,$folder);
function FindPath($root,$folder){
    $rootPath = $root.'/'.$folder;
    $paths = array_diff(scandir($root.'/'.$folder), array('.', '..','Thumbs.db')); 
    echo("<ul>");
    foreach($paths as $path){
        
        if(str_contains($path,'.')){
            //if(!str_contains(strtolower($path),'.png')){
                echo("<li data-jstree='{ ".'"type" : "file"'." }' >");
                $path = "<a href='".substr($rootPath,4)."/".$path."'>".$path."</a>";            
                echo($path);
                echo("</li>");
            //}
           
        }else{
            echo("<li>");
            echo($path);
            FindPath($rootPath,$path);
            echo("</li>");
        }        
    }
    echo("</ul>");
}
?>